<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['traza']=='si') {
	$copyPaste=true;
	$desactivaScannerBluetooth=true;
}


/////////////////////$_SESSION['entrada']['VisibCodBarras']='N'; //Para pruebas

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

$requierePaletizar=true;
$pedirPesoNeto=true;
$pedirUbicacion=$_SESSION['seleccionUbicacionEntrada'];

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/teclado-multilinea.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');
include($rutaPhp.$rutaHtml.'/librerias/calendario.php');




include($rutaPhp.$rutaHtml.'/librerias/funciones-gs1.php');



//6-5-2022 Traemos aqui el mismo código de FCad que hay en la pantalla de entrada convencional

//26-1-2022 fecha caducidad por defecto
if($_SESSION['entradaFechaCaducidadPorDefecto']) $fechaCaducidadPorDefecto=$_SESSION['entradaFechaCaducidadPorDefecto'];

if( $_SESSION['entradaFechaCaducidadPorDefectoAmpliacionDias'] || $_SESSION['entradaFechaCaducidadPorDefectoAmpliacionMeses'] || $_SESSION['entradaFechaCaducidadPorDefectoAmpliacionAnyos'] ) {
	$d = new DateTime( $fechaCaducidadPorDefecto );
	if($_SESSION['entradaFechaCaducidadPorDefectoAmpliacionDias']) $d->modify('+'.$_SESSION['entradaFechaCaducidadPorDefectoAmpliacionDias'].' days');
	if($_SESSION['entradaFechaCaducidadPorDefectoAmpliacionMeses']) $d->modify('+'.$_SESSION['entradaFechaCaducidadPorDefectoAmpliacionMeses'].' months');
	if($_SESSION['entradaFechaCaducidadPorDefectoAmpliacionAnyos']) $d->modify('+'.$_SESSION['entradaFechaCaducidadPorDefectoAmpliacionAnyos'].' years');
	$fechaCaducidadPorDefecto = $d->format('d/m/Y');
}




if($_GET['codigo']) $filtrarCodigo=$_GET['codigo'];


if($_POST['paletCliente']) $paletCliente=$_POST['paletCliente'];

if($_POST['cantidad']) {
	if($_POST['cajas']==1) $cantidad=$_POST['cantidad']*$_POST['EmbalajePrimarioCaja']; else $cantidad=$_POST['cantidad'];
}

if($_POST['ubicacion']) $ubicacion=$_POST['ubicacion'];


//05-02-2021
$ObsAduana=$_POST['ObsAduana'];

//Gestion de la lectura de palet y los tipos de palet

$contenedor=$_POST['contenedor'];
$nuevoTipoPalet=$_POST['tipoPalet'];

$contenedorOriginal=$_POST['contenedorOriginal'];



if( ( $contenedor && $contenedorOriginal=='' ) || ( $contenedorOriginal!='' && $contenedor!=$contenedorOriginal ) ) {

	//$peticion='SGAPackingListPalet#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INFO#'.$orden.';'.$contenedor;
	$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INFOUBI#'.$_SESSION['almacen'].';'.$contenedor;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

	$infoContenedor=$resultado[0];
	
	$ubicacionPaletAutomatizar=$infoContenedor['UbicacionActual'];
	
	$errorPalet=$infoContenedor['Error'];
		
	if($errorPalet) {
		$valores=explode('#',$errorPalet);
		?>
		<script>
			alert('<?php echo $valores[1]; ?><br><br><strong><?php echo $contenedor; ?></strong>',null,'error')
			.done(function(){
				$('#contenedor').val('');
				$('#paletErrorYaAvisado').val('');
				$('#contenedorOriginal').val('');
				$('#contenedor').focus();
			});
        </script>
		<?php
	}
	else {
		//if($infoContenedor['IdPaletCliente'] && $_POST['paletErrorYaAvisado']!=1) {
		if($infoContenedor['IdPaletCliente']) {
			?>
			<script>
				alert('Advertencia: Este Palet ya está asociado al palet de cliente: <strong><?php echo $infoContenedor['IdPaletCliente']; ?></strong>',null,'advertencia')
				.done(function(){
				
					$('#paletCliente').val('<?php echo $infoContenedor['IdPaletCliente']; ?>');
					bloqueaIdPaletCliente(valor,null);
					$('#desbloquearPaletCliente').show();
					
					<?php if($recepcionMasivaPalets) { ?>
					cargaResumenPaletsMasivos();
					<?php } ?>
				
					$('#paletErrorYaAvisado').val(1);
					$('#lecturaGS1').focus();
				});
            </script>
			<?php
		}
		
	}
	
}



/////// RE-CARGA DE LOS DATOS DE LA ENTRADA ///////

$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'];

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
$_SESSION['entrada']=$resultado[0];
$_SESSION['palets']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['DetallePalets']);

$_SESSION['productos']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['ListaProductos']);

$productosALeer=array();
$productosLeidos=array();

$productosSinLote=false;

foreach($_SESSION['productos'] as $producto) {
			 
	if($producto['Leido']>0) {
		$productosLeidos[]=$producto;
		if( $producto['Cantidad'] > $producto['Leido'] ) $productosALeer[]=$producto;
	}
	else $productosALeer[]=$producto; 
	
	if( $producto['MarcaLineaNueva']=='S') $discrepanciasNuevos[]=$producto;
	else if( $producto['Cantidad']>$producto['Leido']) $discrepanciasSinLeer[]=$producto;
	else if($producto['CantidadExcedida']) $discrepanciasLeidoDeMas[]=$producto;
	
	if($producto['ControlLote']=='S' && !$producto['Lote']) $productosSinLote=true;
}


if($_SESSION['entrada']['ControlPaletCliente']=='S') $pedirPaletCliente=true;




if($_POST['procesoEntradaPlay']=='1') {

	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#LECTURAPORPALET#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'].';'.$contenedor.';'.$nuevoTipoPalet.';'.$paletCliente.';'.$ubicacion.';';
	
	foreach($_POST as $campo=>$valor) {
	
		if(substr($campo,0,9)=='cantidad-' && $valor) {
		
			$linea=substr($campo,9,strlen($campo));
			
			$cadena=$linea.'@'.$_POST['cantidad-'.$linea].'@'.formateaNumeroParaProxium($_POST['pesoBruto-'.$linea]).'@'.formateaNumeroParaProxium($_POST['tara-'.$linea]).'@'.fechaParaProxium(fechaMysql($_POST['fechaCaducidad-'.$linea])).'|';
			$peticion.=$cadena;
			
			//echo '<p>linea: '.$linea.' / cantidad: '.$_POST['cantidad-'.$linea].' / peso bruto: '.$_POST['pesoBruto-'.$linea].' / tara: '.$_POST['tara-'.$linea].' / peso neto: '.$_POST['pesoNeto-'.$linea].'</p>';
		}
	
	}
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo '<p>'.$peticion.'</p>';
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	if($valores[0]=='0') {
	
		?>
		<script>
		alert('Lectura realizada correctamente.',null,'ok')
		.done(function(){
			$('#popupCargando').show();
			window.location='entrada-mercancia-gs1.php';
		});
		</script>
		<?php
	}
	else {
		?><script>alert('Error: <?php echo $valores[1]; ?>',null,'error');</script><?php
	}

}

?>

<h2>Entrada de Mercancía Nº <?php echo $_SESSION['entrada']['NumEntrada']; ?></h2>
        
<script>

	//Inicialización de los campos de lectura y el orden para focos
	//Redefición de las variables en formato javascript desde php, para su gestion posterior por jquery
	
	var pedirPaletCliente=<?php if($_SESSION['entrada']['ControlPaletCliente']=='S') echo 'true'; else echo 'false'; ?>;	
	var pedirUbicacion=<?php if($pedirUbicacion) echo 'true'; else echo 'false'; ?>
	
	var secuenciaCampos=new Array();
		
	function inicializaSecuencia() {
		
		secuenciaCampos=[];
		
		secuenciaCampos.push('contenedor');
		
		<?php if($pedirPaletCliente) { ?>secuenciaCampos.push('paletCliente');<?php } ?>
		
		secuenciaCampos.push('cantidad');
		
		<?php if($pedirUbicacion) { ?>secuenciaCampos.push('ubicacion');<?php } ?>

	}
		
	function focoSiguiente(campoActual) {
		
		if(campoActual=='') foco=secuenciaCampos[0];
		else {
			for (i=0;i<secuenciaCampos.length;i++) {
				if(secuenciaCampos[i]==campoActual) {
					foco=secuenciaCampos[i+1];
					if( $('#'+foco).val()!='' || $('#'+foco).hasClass('deshabilitado') ) foco=focoSiguiente(foco);
				}
			}
		}
		$('#'+foco).focus();
		//console.log(foco);
		return foco;
	}

	
	var relacionPaletsProxiumCliente=[];
	<?php foreach($_SESSION['relacionPaletsProxiumCliente'] as $codigoPalet=>$idPaletcliente) { ?>
	relacionPaletsProxiumCliente['<?php echo $codigoPalet; ?>']='<?php echo $idPaletcliente; ?>';
	<?php } ?>
		
</script>

<form id="formulario" name="formulario" method="post" action="?accion=<?php if($_GET['traza']=='si') { ?>&traza=si<?php } ?>&codigo=<?php echo $filtrarCodigo; ?>">
    
	<input type="hidden" name="procesoEntradaPlay" id="procesoEntradaPlay" value="0" />
    
	<input type="hidden" name="paletErrorYaAvisado" id="paletErrorYaAvisado" value="<?php echo $_POST['paletErrorYaAvisado']; ?>"/>
        
  <table cellpadding="5" style="margin: 0 auto">
        <tr>
        	<td <?php if($_SESSION['seleccionTipoPaletEntrada']) { ?>style="padding-bottom:32px;"<?php } ?>>
                <div id="bloqueContenedor" style="width:410px;margin:20px auto">
                    <p class="sinMargen">Palet:</p>
                    <div class="campoOrdenPreparacionBloque">
                    <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedor" />
                    <input name="contenedor" type="text" class="campo campoOrdenPreparacion <?php if($errorPalet) { ?>campoError<?php } ?>" id="contenedor" value="<?php if($contenedor) echo $contenedor; else echo $_SESSION['entradaPaletActual']; ?>" style="width:380px;left:5px;" autocomplete="off"/>
                    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarContenedor" style="position:absolute;right:0;cursor:pointer;"/>
                    
                    </div>
                </div>
                <input type="hidden" name="contenedorOriginal" id="contenedorOriginal" value="<?php echo $contenedor; ?>"/>
        	</td>
            <?php if($_SESSION['seleccionTipoPaletEntrada']) { ?>
            <td>
				<select name="tipoPalet" id="tipoPalet" class="campo moverFocoLecturaGS1trasCambio">
				<option value=""></option>
				<?php foreach(array_keys($_SESSION['tiposPalet']) as $codigoPalet) { ?>
				<option value="<?php echo $codigoPalet; ?>" <?php if( ($contenedor && $codigoPalet==$nuevoTipoPalet) || ($contenedor && $codigoPalet==$infoContenedor['TipoPalet']) || (!$contenedor && $codigoPalet==$_SESSION['entradaPaletActualTipo']) ) { ?>selected<?php } ?> chep="<?php echo $_SESSION['tiposPalet'][$codigoPalet]['CHEP']; ?>"><?php echo $_SESSION['tiposPalet'][$codigoPalet]['Descripcion']; ?></option>
				<?php } ?>
				</select>
			</td>
			<td>
				<img id="imagenPalet" src="<?php echo DIR_IMAGENES; ?>/palet-vacio<?php if( ($contenedor && $_SESSION['tiposPalet'][$infoContenedor['TipoPalet']]['CHEP']=='S') || (!$contenedor && $_SESSION['entradaPaletActualEsChep']=='S') ) { ?>-chep<?php } ?>.png" width="50" height="36"/>
			</td>
			<?php } ?>
        </tr>
  </table>
        

            
       


        
        <table class="tablaCamposEntradaGs1" style="font-size:1.7em">
        
        	<?php if($pedirPaletCliente) { ?>
            
            <tr>
              <td align="left">Id Palet Cliente:</td>
              <td>
            
            <div id="bloqueContenedor">
                <div class="campoOrdenPreparacionBloque">
                <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPaletCliente" /><input name="paletCliente" type="text" class="campo campoOrdenPreparacion" id="paletCliente" maxlength="50" style="left:5px;" value="<?php if($_POST['paletCliente']) echo $_POST['paletCliente']; else if($_SESSION['lecturasGS1']['paletCliente']) echo $_SESSION['lecturasGS1']['paletCliente']; else if($_SESSION['entradaPaletActual']) echo $_SESSION['relacionPaletsProxiumCliente'][$_SESSION['entradaPaletActual']];  ?>" autocomplete="off">
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPaletCliente" style="position:absolute;right:-55px;cursor:pointer;top:3px;" />
                <img src="<?php echo DIR_IMAGENES; ?>/candado.png" alt="Desbloquear" id="desbloquearPaletCliente" style="position:absolute;left:410px;cursor:pointer;top:3px;width:45px;display:none" />
                </div>
            </div>
            
            </td></tr>
            
            <?php } ?>
        
        	
            
            <input type="hidden" name="cantidadPedidaOriginal" id="cantidadPedidaOriginal" value="<?php echo $_SESSION['producto']['Cantidad']-$_SESSION['producto']['Leido']; ?>"/>
            <input type="hidden" name="cajas" id="cajas" value="<?php echo $cajas; ?>"/>
        	<input type="hidden" name="EmbalajePrimarioCaja" id="EmbalajePrimarioCaja" value="<?php echo $_SESSION['producto']['EmbalajePrimarioCaja']; ?>" />
            
            <tr><td align="left">Cantidad:</td><td>
            
            <div id="bloqueContenedor">
                <div class="campoOrdenPreparacionBloque">
                <?php if($mostrarCajas) { ?><img src="<?php echo DIR_IMAGENES; ?>/<?php echo $etiquetaInversa; ?>.png" alt="Informar en <?php echo $etiqueta; ?>" class="iconoTeclado" id="iconoUnidades" /><?php } ?>
                <input name="cantidad" type="text" class="campo cantidad campoOrdenPreparacion" id="cantidad" maxlength="14" style="left:5px;" <?php if( $pedirNumSerie ) { ?>readonly<?php } ?> value="<?php if($_POST['cantidad']) echo $_POST['cantidad']; ?>" autocomplete="off"/>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarCantidad" style="position: absolute;right:-55px;cursor:pointer;top:3px;" />
                </div>
            </div>
            </td></tr>

			<?php if($pedirUbicacion) { ?>
            
            <?php
				
				$ubicacionFijada=$_SESSION['entradaFijar-ubicacion'];
				
				if($ubicacionFijada) $ubicacionPintar=$ubicacionFijada;
				else if($ubicacionPaletAutomatizar)  $ubicacionPintar=$ubicacionPaletAutomatizar;
				else if($_POST['ubicacion']) $ubicacionPintar=$_POST['ubicacion'];
				
			?>
            
            <tr><td align="left">Ubicar en:</td><td>
            
            <div id="bloqueUbicacion">
            
            	<input type="hidden" id="segundaLecturaUbicacion" name="segundaLecturaUbicacion" />
        		<input type="hidden" id="segundaLecturaUbicacionDefinitiva" name="segundaLecturaUbicacionDefinitiva" />
            
                <div class="campoOrdenPreparacionBloque">
                <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoUbicacion" <?php if($ubicacionFijada) { ?>style="display:none"<?php } ?>/><input name="ubicacion" type="text" class="campo campoOrdenPreparacion <?php if($ubicacionFijada) { ?>deshabilitado<?php } ?>" id="ubicacion" style="left:5px;" autocomplete="off" value="<?php if($ubicacionPintar) echo $ubicacionPintar; ?>" <?php if($ubicacionFijada) { ?>readonly<?php } ?>>
                <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarUbicacion" style="position: absolute;right:-55px;cursor:pointer;top:3px;" />
                
                <img class="imagenPaletSeleccionado iconoFijar clicable" id="fijarUbicacion" src="<?php echo DIR_IMAGENES; ?>/palet-fijar<?php if(!$ubicacionFijada) { ?>-off<?php } ?>.png" width="47" style="position:absolute;right:0;margin-right:-120px;" campo="ubicacion" activo="<?php if($ubicacionFijada) { ?>1<?php } else { ?>0<?php } ?>" <?php if($ubicacionFijada) { ?>readonly<?php } ?>/>
                
                </div>
                
                
                
            </div>
            
            </td></tr>
            
            <?php } ?>
        
  </table>
            

		<?php if(count($productosALeer)>0) { ?>
		
        <h3>Productos a leer:</h3>
        
        <?php if($productosSinLote) { ?><p class="error">ATENCION: Hay productos con gestión de Lote obligatoria, cuyo lote no ha sido informado.</p><?php } ?>
 
<table class="tablaFormateada anchoMaximo">
				<tr>
					<th>Código</th>
					<th>Descripción</th>
					<th>Previsto</th>
					<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
					<th>Formato</th>
				    <th>Lote</th>
				    <th>Caducidad</th>
				    <th>Cantidad</th>
				    <th>Peso bruto</th>
				    <th>Tara</th>
				    <th>Peso neto</th>
				</tr>
				<?php
			
				foreach($productosALeer as $producto) {
				
					if( ($filtrarCodigo && $producto['Codigo']==$filtrarCodigo) || !$filtrarCodigo ) {
					
						$datos=$producto['Datos']['PXMobileProxiumResult'];
						
						$linea=$producto['LineaEntrada'];
						
						//5-5-2022 añadimos la posibilidad de que algunos productos no tengan peso variable
						//en este caso, ponemos los campos ocultos type=hidden
						$pedirPesoVariable=( $producto['GestionPesoVariable']=='S' );
						
						//6-5-2022 gestion de lote obligatoria en CNFC
						if($producto['ControlLote']=='S' && !$producto['Lote']) $productoErrorLote=true;
						else $productoErrorLote=false;
						
						?>
						<tr class="lineaEntrada lineaseleccionable <?php if($productoErrorLote) { ?>rojo<?php } ?>" lineaentrada="<?php echo $linea; ?>" >
							<td><?php echo $producto['Codigo']; ?></td>
							<td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
							<td align="right"><?php echo formateaNumeroDecimal($producto['Cantidad']); ?></td>
							<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo formateaNumeroDecimal($producto['CantidadCajas']); ?><br /></td><?php } ?>
							<td align="center"><?php echo $producto['Formato']; ?></td>
							<td align="center"><?php if($productoErrorLote) { ?><img src="img_nx/iconos/error.png" alt="Error" width="40" height="40" /><?php } else echo $producto['Lote']; ?></td>
						  <td align="center">
                          		<?php if(!$productoErrorLote && $producto['ControlFechaCaducidad']=='S') { ?>
                                <?php
				
								$fechaFijada=$_SESSION['entradaFijar-fechaCaducidad'];
								
								if($producto['FechaCaducidad']) $fechaCaducidadPintar=fechaNacional(fechaDesdeProxium($producto['FechaCaducidad']));
								else if($fechaCaducidadPorDefecto) $fechaCaducidadPintar=$fechaCaducidadPorDefecto;
								
								?>
                          		<input name="fechaCaducidad-<?php echo $linea; ?>" type="text" class="campo fechaCaducidad" id="fechaCaducidad-<?php echo $linea; ?>" value="<?php echo $fechaCaducidadPintar; ?>" size="10" maxlength="10" autocomplete="off" style="width:150px"/>
                                <?php } ?>
                         
                          </td>
                          
                          
							<td align="center">
                            	<?php if(!$productoErrorLote) { ?>
                            	<input name="cantidad-<?php echo $linea; ?>" id="cantidad-<?php echo $linea; ?>" type="text" class="campo cantidad cantidadDinamica campoCantidad" autocomplete="off" style="width:90px" value="<?php if($_POST['cantidad-'.$linea]) echo $_POST['cantidad-'.$linea]; ?>"/>
                                <?php } ?>
                            </td>
							<td align="center">
                            	<?php if(!$productoErrorLote) { ?>
                            	<input name="pesoBruto-<?php echo $linea; ?>" id="pesoBruto-<?php echo $linea; ?>" type="<?php if($pedirPesoVariable) { ?>text<?php } else { ?>hidden<?php } ?>" class="campo cantidad cantidadDinamica campoPesoBruto" autocomplete="off" style="width:125px" value="<?php if($_POST['pesoBruto-'.$linea]) echo $_POST['pesoBruto-'.$linea]; ?>"/>
                                 <?php } ?>
                            </td>
							<td align="center">
                            	<?php if(!$productoErrorLote) { ?>
                            	<input name="tara-<?php echo $linea; ?>" id="tara-<?php echo $linea; ?>" type="<?php if($pedirPesoVariable) { ?>text<?php } else { ?>hidden<?php } ?>" class="campo cantidad cantidadDinamica campoTara" autocomplete="off" style="width:100px" value="<?php if($_POST['tara-'.$linea]) echo $_POST['tara-'.$linea]; ?>"/>
                                 <?php } ?>
                            </td>
							<td align="center">
                            	<?php if(!$productoErrorLote) { ?>
                            	<input name="pesoNeto-<?php echo $linea; ?>" id="pesoNeto-<?php echo $linea; ?>" type="<?php if($pedirPesoVariable) { ?>text<?php } else { ?>hidden<?php } ?>" class="campo cantidad cantidadDinamica deshabilitado campoPesoNeto" autocomplete="off" style="width:125px" readonly value="<?php if($_POST['pesoNeto-'.$linea]) echo $_POST['pesoNeto-'.$linea]; ?>"/>
                                 <?php } ?>
                            </td>
						</tr>
						<?php
						
					}
				
				} //Fin iteracion productos
				
				$colspanInicial=6;
				if($_SESSION['verEnCajas']=='S') $colspanInicial++;
				$colspanFinal=3;
				?>
                <tr>
					<td colspan="<?php echo $colspanInicial; ?>" align="right">TOTAL:</td>
				    <td><input name="cantidadTotal" id="cantidadTotal" type="text" class="campo deshabilitado" autocomplete="off" readonly style="width:90px" value="" readonly/></td>
				    <td colspan="<?php echo $colspanFinal; ?>"></td>
				</tr>
			</table>
			<?php
			
		}
		else{
			?><p class="error">No constan productos pendientes de leer.</p><?php
		}
		?>


        
  <script>
		
		//26-1-2022 Esta función estaba definida dentro del bloque de recepcion masiva, pero la saco porque tb se usa cuando no hay
		
		function recepcionMasivaPaletCompruebaRelacionPaletCliente(palet,paletIdCliente,soloAnteriores) {
		
			var error=false;
			var valoresAntes=$('#recepcionMasivaPaletAnteriores').val().split('|');
			var valoresAhora;
			if(!soloAnteriores) valoresAhora=$('#recepcionMasivaPalet').val().split('|');
			
			var valores;
			
			if(soloAnteriores) valores=valoresAntes;
			else valores=valoresAntes.concat(valoresAhora);;
			
			for(var i=0;i<valores.length;i++) {
				var contenido=valores[i].split('@');
				if( paletIdCliente==contenido[1] && palet!=contenido[0] ) error=true;
			}
			
			return !error;
		
		}
		
		</script>
        
        
        
        <!--- OBSERVACIONES ADUANA ---->
        
        <?php if($_SESSION['entrada']['mostrarObservacionesAduana']) { ?>
        
        <h3 class="sinMargen" style="margin:5px 0 10px 0">Observaciones Aduana:</h3>
        <p class="sinMargen"><textarea name="ObsAduana" id="ObsAduana" rows="2" class="campo campoMultilinea" style="width:740px;text-align:left;font-size:1.2em"><?php echo $ObsAduana; ?></textarea></p>
        
        <?php } ?>
        


</form>




<script>

	function cantidadParaCalculadora(valor) {
		valor = valor.replace(/\./g,'');
		valor = valor.replace(/\,/g,'.');
		return valor;
	}
	
	function cantidadParaPantalla(valor) {
	
		if(valor)  valor=parseFloat( valor );
		else valor=0;
		
		valor = Intl.NumberFormat("de-DE",{minimumFractionDigits:3}).format( valor );
		return valor;

	}
	
	function validaCampos() {
	
		var temp=$('#cantidad').val().split('.');
	
		$('#contenedor').removeClass('campoError');
		
		<?php if($_SESSION['seleccionTipoPaletEntrada']) { ?>
		$('#tipoPalet').removeClass('campoError');
		<?php } ?>

		$('#cantidad').removeClass('campoError');
	
		if( $('#cantidad').val()=='' || $('#cantidad').val()==0 ) {
			alert('Para continuar es necesario indicar la cantidad.',null,'error')
			.done( function() {
				$('#cantidad').addClass('campoError');
				$('#cantidad').focus();
				return false;
			});
		}
		else if($('#contenedor').val()=='') {
			alert('Es obligatorio indicar el Palet.',null,'error')
			.done( function() {
				$('#contenedor').addClass('campoError');
				$('#contenedor').focus();
				return false;
			});
		}
		<?php if($_SESSION['seleccionTipoPaletEntrada']) { ?>
		else if($('#tipoPalet').val()=='') {
			alert('Es obligatorio clasificar el tipo de Palet.',null,'error')
			.done( function() {
				$('#tipoPalet').addClass('campoError');
				$('#tipoPalet').focus();
				return false;
			});
		}
		<?php } ?>

		<?php if($pedirPaletCliente) { ?>
		else if($('#contenedor').val()=='' && $('#paletCliente').val()!='' ) {
			alert('Para indicar un Id de Palet de Cliente es necesario asociarlo <br>a un Id de Palet Proxium.',null,'error')
			.done( function() {
				$('#contenedor').addClass('campoError');
				$('#contenedor').focus();
				return false;
			});
		}
		else if( relacionPaletsProxiumCliente[$('#contenedor').val()]!==undefined && relacionPaletsProxiumCliente[$('#contenedor').val()]!=$('#paletCliente').val() ) {
			alert('La relación entre palets no puede registrarse.<br>El palet '+$('#contenedor').val()+' ya está asociado al Id de Palet de cliente: '+relacionPaletsProxiumCliente[$('#contenedor').val()],null,'error')
			.done( function() {
				$('#contenedor').addClass('campoError');
				$('#contenedor').focus();
				return false;
			});
		}
		<?php } ?>
		
		else {
		
			//Comprobacion cantidades
			var cantidad=parseInt($('#cantidad').val());
			var suma=0;
			var errorPeso=false;
			var errorCantidad=false;
			var linea;
			
			$('.campoCantidad').each(function(){
			
				linea=$(this).parent().parent().attr('lineaEntrada');
				
				//5-5-2022 añadimos la posibilidad de que algunos productos no tengan peso variable
				//en este caso, ponemos los campos ocultos type=hidden
				if( $('#pesoBruto-'+linea ).attr('type')!='hidden' ) {
					if( $('#cantidad-'+linea ).val() && ( $('#pesoBruto-'+linea ).val()=='' || parseFloat(cantidadParaCalculadora($('#pesoBruto-'+linea ).val()))==0 ) ) errorPeso=true;
				}
				
				if($(this).val()>0) suma+=parseInt($(this).val());
			
			});
			
			$('.campoPesoBruto').each(function(){
			
				linea=$(this).parent().parent().attr('lineaEntrada');
				if( $('#pesoBruto-'+linea ).val() && ( $('#cantidad-'+linea ).val()=='' || parseInt($('#cantidad-'+linea ).val())==0 ) ) errorCantidad=true;
			
			});
			
			if(errorCantidad) {
				alert('Error: Alguna linea tiene informada Peso Bruto y no tiene informada Cantidad.',null,'error');
				return false;
			}
			else if(errorPeso) {
				alert('Error: Alguna linea tiene informada Cantidad y no tiene informado Peso Bruto.',null,'error');
				return false;
			}
			else if(suma!=cantidad) {
				alert('Error: Las cantidades no coinciden.<br>Cantidad total informada: '+cantidad+'<br>Suma de cantidades de productos: '+suma,null,'error');
				return false;
			}
			else {
				return true;
			}
			
		}

	}

	






function seleccionaPalet(palet,tipoPalet,esChep,ubicacion) {
	
	//alert("seleccionamos "+palet);
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-seleccionar.php", { 'palet' : palet , 'tipoPalet' : tipoPalet , 'esChep' : esChep , 'ubicacion' : ubicacion })
	.done(function() {
			
		$('.selectorPaletSuperior').attr('seleccionado','no');
		$('.imagenPaletSeleccionado').attr('src','');
					
		$('#itemPalet'+palet).attr('seleccionado','si');
		$('#imagenPaletSeleccionado'+palet).attr('src','<?php echo DIR_IMAGENES; ?>/palet-fijar.png');
			
		//Valores para formulario preparacion
		//$('#paletSeleccionado').val(palet);
			
		//Valor para etiqueta pestaña
		$('#etiquetaCodigoPalet').html(palet);
		
		//Valor para el campo contenedor
		$('#tipoPalet').val(tipoPalet);
		if(esChep=='S') $('#imagenPalet').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio-chep.png');
		else $('#imagenPalet').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio.png');
		$('#contenedor').val(palet);
		$('#ubicacion').val(ubicacion);
		
		//Carga contenido del palet en la segunda pestaña
		$('#popupCargando').show();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-contenido.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'palet' : palet })
		.done(function(data) {
			$('#contenidoPalet').html(data);
			redimensionaPestanyas('contenedorPrincipal');
		});
			
		$("html, body").animate({scrollTop:0},"slow");
		mueveHastaPestanya('pestanyaLectura');
		focoSiguiente('contenedor');
			
		$('#popupCargando').hide();
				
	});
		
}

function deSeleccionaPalet() {
		
	$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-seleccionar.php", { 'palet' : '' })
	.done(function() {
			
		$('.selectorPalet').parent().attr('seleccionado','no');
		$('.imagenPalet').attr("src","<?php echo DIR_IMAGENES; ?>/palet.png");
					
		//Valores para formulario preparacion
		//$('#paletSeleccionado').val('');
			
		//Valor para etiqueta pestaña
		$('#etiquetaCodigoPalet').html('');
		
		//Carga contenido del palet en la segunda pestaña
		$('#contenidoPalet').html('');
		redimensionaPestanyas('contenedorPrincipal');
				
	});
		
}


function calculaPesos(){

	var pesoNeto;
	
	if($('#pesoVariablePesoBruto').val() && $('#pesoVariableTara').val()) pesoNeto=parseFloat($('#pesoVariablePesoBruto').val())-parseFloat($('#pesoVariableTara').val());
	else if($('#pesoVariablePesoBruto').val()) pesoNeto=$('#pesoVariablePesoBruto').val();
	else pesoNeto='';
	
	if(pesoNeto) pesoNeto=parseFloat(pesoNeto).toFixed(2);
	
	$("#pesoVariablePesoNeto").val(pesoNeto);

}



function bloqueaIdPaletCliente(valor,palet,contador) {

	//miramos si viene de los campos ppales o de los dinamicos palets masivos (hay contador)
	if(contador) {
		var campoPalet=$('#lecturaRecepcionMasivaPaletIdCliente-'+contador);
		var campoBorrarPalet=$('#borrarLecturaRecepcionMasivaPaletIdCliente-'+contador);
		var campoTecladoPalet=$('#tecladoRecepcionMasivaPaletIdCliente-'+contador);
	}
	else {
		var campoPalet=$('#paletCliente');
		var campoBorrarPalet=$('#borrarPaletCliente');
		var campoTecladoPalet=$('#tecladoPaletCliente');
	}

	//aplicamos
	if( valor ) {
	
		campoPalet.prop('readonly',true);
		campoPalet.addClass('deshabilitado');
		campoBorrarPalet.hide();
		campoTecladoPalet.hide();
		
		if(contador) campoPalet.css('margin-left','45px');

	}
	else {
	
		confirm('Atención: Si modificas el Id.Cliente de este palet se modificará también en todos los productos de este palet.')
		.done(function(){
		
			campoPalet.val('');
			campoPalet.prop('readonly',false);
			campoPalet.removeClass('deshabilitado');
			campoBorrarPalet.show();
			campoTecladoPalet.show();
			
			campoPalet.focus();
		});
		
		
		
		if(contador) campoPalet.css('margin-left','0');
		
	}

}



$(document).ready(function() {

	$('.campoCantidad').on('change',function(){
	
		var total=0;
	
		$('.campoCantidad').each(function(){
			var cantidad=parseInt($(this).val());
			if(cantidad>0) total+=cantidad;
		});
		
		$('#cantidadTotal').val( total );
	
	});

	//26-1-2022 Nuevo método para fijar campos
	function capitalizarTexto(str) {
	  return str.charAt(0).toUpperCase() + str.slice(1);
	}

	$('.iconoFijar').on('click',function(){
	
		var nombreCampo=$(this).attr('campo');
		var campo=$('#'+nombreCampo);
		var valor=campo.val();
		
		var icono=$(this);
		var iconoTeclado=$('#teclado'+capitalizarTexto(nombreCampo));
		var iconoBorrar=$('#borrar'+capitalizarTexto(nombreCampo));
		
		if($(this).attr('activo')=='0') {
			if(valor) {
				$.post('<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-fijar-campo.php' , { 'campo' : nombreCampo , 'valor' : valor })
				.done(function(data) {
					icono.attr('src','<?php echo DIR_IMAGENES; ?>/palet-fijar.png');
					icono.attr('activo',1);
					campo.addClass('deshabilitado');
					campo.prop('readonly',true);
					iconoTeclado.hide();
					iconoBorrar.hide();
				});
			}
			else alert('Para fijar '+capitalizarTexto(nombreCampo)+' debes informar primero un valor para este dato.',campo,'advertencia');
		}
		else {
			$.post('<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-fijar-campo.php' , { 'campo' : nombreCampo , 'valor' : '' })
			.done(function(data) {
				icono.attr('src','<?php echo DIR_IMAGENES; ?>/palet-fijar-off.png');
				icono.attr('activo',0);
				campo.removeClass('deshabilitado');
				campo.prop('readonly',false);
				iconoTeclado.show();
				iconoBorrar.show();
			});
		}
	
	});


	
	$(document).on('click','.selectorPalet',function() {
		
		var palet=$(this).parent().attr('idPalet');
		var tipoPalet=$(this).parent().attr('tipoPalet');
		var esChep=$(this).parent().attr('esChep');
		var ubicacion=$(this).parent().attr('ubicacion');
		
		if( $(this).parent().attr('seleccionado')=='no' ) {
			$('#popupCargando').show();
			seleccionaPalet(palet,tipoPalet,esChep,ubicacion);
		}
		
	});
	
	
	$('.borrarPalet').on("click",function() {
		
		var palet=$(this).attr('palet');
		
		confirm('Se va a proceder a desasociar el Palet '+palet+' de la Entrada.<br><br>¿Deseas continuar?')
		.done(function(){
		
			$('#popupCargando').show();
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-borrar.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'palet' : palet , 'entrada' : '<?php echo $_SESSION['entrada']['NumEntrada']; ?>' })
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-proceso.php?accion=borradopalet';
			});
			
		});
			
	});
	
	$('.selectorTipoPalet').on('change',function() {
		
		var selector=$(this);
			
		var idPalet=selector.attr('idPalet');
		var valorOriginal=selector.attr('valorOriginal');
		
		var seleccionado=selector.children('option:selected').val();
		var esChep=selector.children('option:selected').attr('chep');
		
		confirm('¿Deseas redefinir el tipo de soporte del Palet Nº '+idPalet+'?')
		.done(function(){
			
			$('#popupCargando').show();
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/palet-tipificar.php", { 'cadenaPalets' : idPalet+','+seleccionado })
			.done(function() {
				
				selector.val(seleccionado);
				selector.children('option[value='+seleccionado+']').attr('selected',true);
					
				if(esChep=='S') $('#imagenPalet'+idPalet).attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio-chep.png');
				else $('#imagenPalet'+idPalet).attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio.png');
					
				$('#popupCargando').hide();
			});
		})
		.fail(function(){
			selector.val(valorOriginal);
			selector.children('option[value='+valorOriginal+']').attr('selected',true);
		});
			
	});



	///////////////////////////////////////////////////// Gestion campo Contenedor

			<?php // Spanish dice que no funciona la lectura con scanner en este campo
				  // no sé por qué esta esto aquí, ya que NO HAY GS1 pero lo desactivo manualmente por si acaso 
				  
				  $desactivaScannerBluetooth=true;
				  
			?>

			<?php if(!$desactivaScannerBluetooth) { ?>
	
			$("#contenedor").on('keydown',function(e){
			
				e.preventDefault();
				var resultado='';
				
				if(e.which==13 || e.key=='Enter') {
					$('#contenedor').trigger('change');
				}
				else lecturaScanner.push( [ String.fromCharCode(e.which) , e.which , e.key ] );
			}); 
			
			<?php } ?>
			
			$('#contenedor').on('change',function(){
				
				<?php if($_GET['traza']=='si') { ?>
				
				//Si es traza no hacemos nada, porque sino lo vacía y envia el form
				
				<?php } else { ?>
				
				if( $('#valorOculto').val()!='' ) { //Proviene del teclado
					$('#contenedor').val( $('#valorOculto').val() );
				}
				else {
					<?php if(!$desactivaScannerBluetooth) { ?>
					var mostrarLectura=limpiaLecturaDesdeScannerNoGS1(lecturaScanner);
					$('#contenedor').val( mostrarLectura );
					<?php } ?>
				}
				
				//Limpiamos los valores del teclado emergente
				$('#valor').val('');
				$('#valorOculto').val('');
				
				<?php } ?>
				
				//var mostrarLectura=limpiaLecturaDesdeScannerNoGS1(lecturaScanner);
				//$('#contenedor').val( mostrarLectura );
				
				enviaFormulario();
		
			});

			$(document).on('click','#tecladoContenedor',function(){
				$('#teclado').show();
				$('#valor').val( $('#contenedor').val() );
				$('#valorOculto').val( $('#contenedor').val() );
				$('#enter').attr('campoValor','contenedor');
				$('#enter').attr('forzarEnter','si');
			});

			$(document).on('click','#borrarContenedor',function(){
				deSeleccionaPalet();
				$('#contenedor').val('');
				$('#tipoPalet').val('');
				
				$('#paletErrorYaAvisado').val('');
				$('#contenedorOriginal').val('');
				
				$('#contenedor').focus();
			});




		///////////////////////////////////////////////////// Gestion campo palet Cliente

			$('#desbloquearPaletCliente').on('click',function(){
				
				var campo=$('#paletCliente');
				var campoPalet=$('#contenedor');
				
				if( campo.hasClass('deshabilitado') ) {
				
					<?php if($recepcionMasivaPalets) { ?>
					if( !recepcionMasivaPaletCompruebaRelacionPaletCliente( campoPalet , campo.val(), true ) ) {
						alert('La relación entre palets no puede modificarse.<br>El palet '+campoPalet.val()+' ya está asociado al Id de Palet de cliente: '+campo.val()+'<br><br>En caso de que quieras modificarlo, debes liberar la lectura del palet.',null,'error');
					}
					else {
						bloqueaIdPaletCliente(false,campoPalet.val());
					}
					<?php } else { ?>
					bloqueaIdPaletCliente(false,campoPalet.val());
					<?php } ?>
				}
				else {
					bloqueaIdPaletCliente(true,null);
				}
				
			});

			$(document).on('click','#tecladoPaletCliente',function(){
				$('#teclado').show();
				$('#valor').val( $('#paletCliente').val() );
				$('#valorOculto').val( $('#paletCliente').val() );
				$('#enter').attr('campoValor','paletCliente');
				$('#enter').attr('forzarEnter','si');
			});
			
			$(document).on('change','#paletCliente',function(){
			
				var campo=$(this);
				var campoPalet=$('#contenedor').val();
				
				<?php if($recepcionMasivaPalets) { ?>
				if( recepcionMasivaPaletCompruebaRelacionPaletCliente( campoPalet , campo.val() ) ) {
				<?php } else { ?>
				if( recepcionMasivaPaletCompruebaRelacionPaletCliente( campoPalet , campo.val() , true ) ) {
				<?php } ?>
			
					siguienteCampo=focoSiguiente('paletCliente');
					
				}
				else {
					alert('Error: Este Id Palet cliente ya está informado en esta entrada<br>y no coincide con el Palet Proxium <strong>'+campoPalet+'</strong> indicado.',null,'error')
					.done(function(){
						campo.val('');
						campo.focus();
					});
				}
			
				<?php if($recepcionMasivaPalets) { ?>
				cargaResumenPaletsMasivos();
				<?php } ?>
			});
			
			$(document).on('click','#borrarPaletCliente',function(){
				
				$("#paletCliente").val('');
				$("#paletCliente").focus();	
				
				<?php if($recepcionMasivaPalets) { ?>
				cargaResumenPaletsMasivos();
				<?php } ?>	
			});	



	

///////////////////////////////////////////////////// Gestion campo cantidad

			$('#cantidad').on("click",function(e) {
				$('#calculadora').show();
				$('#valorCalculadora').val( $('#cantidad').val() );
				$('#enterCalculadora').attr('campoValor','cantidad');
				$('#enterCalculadora').attr('forzarEnter','si');
			});
			
			$('#borrarCantidad').on('click',function(){
			
				$("#cantidad").val('');
				$("#cantidad").focus();
				
			});
			
			
			$('#cantidad').on('change',function(){
			
				$('#cantidad').val( $('#cantidad').val().replace(/[^0-9.,]/gi,'') );
				
				<?php if($pedirUbicacion) { ?>
				siguienteCampo=focoSiguiente('cantidad');
				<?php } ?>
				
			});
			
			
			$('.cantidadDinamica').on("click",function(e) {
				$('#calculadora').show();
				$('#valorCalculadora').val( cantidadParaCalculadora($(this).val()) );
				$('#enterCalculadora').attr('campoValor', $(this).attr('name') );
				$('#enterCalculadora').attr('forzarEnter','si');
			});
			
			$('.campoPesoBruto').on('change',function(){
				$(this).val( cantidadParaPantalla( $(this).val() ) );
			});
			
			$('.campoTara').on('change',function(){
				$(this).val( cantidadParaPantalla( $(this).val() ) );
			});

			
			$('.campoPesoBruto').on('change',function(e) {
			
				var linea=$(this).parent().parent().attr('lineaEntrada');
				var peso=parseFloat(cantidadParaCalculadora($(this).val()));
				
				if(peso) {
					var tara;
					if($('#tara-'+linea).val()) tara=parseFloat(cantidadParaCalculadora($('#tara-'+linea).val()));
					else tara=0;
					var neto=peso-tara;
					
					if(neto>0) $('#pesoNeto-'+linea).val( cantidadParaPantalla(neto) );
					else $('#pesoNeto-'+linea).val('');
				}
				else {
					$('#tara-'+linea).val('');
					$('#pesoNeto-'+linea).val('');
				}
			});
			
			$('.campoTara').on('change',function(e) {
			
				var linea=$(this).parent().parent().attr('lineaEntrada');
				var tara;
				if($(this).val()) tara=parseFloat(cantidadParaCalculadora($(this).val()));
				else tara=0;
				var peso;
				if( $('#pesoBruto-'+linea).val() ) {
					peso=parseFloat(cantidadParaCalculadora($('#pesoBruto-'+linea).val()));
					var neto=peso-tara;
				
					if(neto>0) $('#pesoNeto-'+linea).val( cantidadParaPantalla(neto) );
					else $('#pesoNeto-'+linea).val('');
				}
				else if(tara) {
					alert('No puedes indicar Tara sin indicar antes el Peso Bruto',null,'advertencia');
					$(this).val('');
				}
			});

			
	
			
		///////////////////////////////////////////////////// Gestion campo ubicacion

			<?php if($pedirUbicacion) { ?>

			$('#segundaLecturaUbicacion').on('change',function(e){
	
				e.preventDefault();
			
				var valor=$(this).val();
			
				var ConfigUbiNivelSeparador='<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelSeparador']; ?>';
				var ConfigUbiNivelTamanyoID='<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelTamanyoID']; ?>';
				var ConfigUbiNivelCaracterAutocompletar='<?php if($_SESSION['parametrosSGA']['ConfigUbiNivelAutocompletarEspacios']=='S') { ?> <?php } else if($_SESSION['parametrosSGA']['ConfigUbiNivelCaracterAutocompletar']=='') { ?>0<?php } else echo $_SESSION['parametrosSGA']['ConfigUbiNivelCaracterAutocompletar']; ?>';
				var ConfigUbiNivelAlineacion='<?php echo $_SESSION['parametrosSGA']['ConfigUbiNivelAlineacion']; ?>';
				
				var valorAutorellenado='';
				for( var i=1 ; i <= ConfigUbiNivelTamanyoID-valor.length ; i++) valorAutorellenado+=ConfigUbiNivelCaracterAutocompletar;
				
				if(ConfigUbiNivelAlineacion=='I') valor=valor+valorAutorellenado;
				else valor=valorAutorellenado+valor;
				
				if(ConfigUbiNivelSeparador!='') valor=ConfigUbiNivelSeparador+valor;
				
				$('#ubicacion').val( $('#ubicacion').val()+valor );
				$('#segundaLecturaUbicacionDefinitiva').val( $('#ubicacion').val() );
				
				CargaValidaUbica();
			
			});
			
			$('#segundaLecturaUbicacionDefinitiva').on('change',function(e){
				$('#ubicacion').val( $('#segundaLecturaUbicacionDefinitiva').val() );
				CargaValidaUbica();
			});
			
			$('#ubicacion').on('change',function(e){
	
				e.preventDefault();
			
				<?php if($_SESSION['dobleLecturaUbicacion']) { ?>
				
				$('#teclado').show();
				$('#valor').val('');
				$('#valorOculto').val('');
				$('#enter').attr('campoValor','segundaLecturaUbicacion');
				$('#enter').attr('forzarEnter','si');
				
				<?php } else { ?>
				
				$('#segundaLecturaUbicacionDefinitiva').val( $('#ubicacion').val() );
				
				<?php } ?>
			
			});

			$(document).on('click','#tecladoUbicacion',function(){
				$('#teclado').show();
				$('#valor').val( $('#segundaLecturaUbicacionDefinitiva').val() );
				$('#valorOculto').val( $('#segundaLecturaUbicacionDefinitiva').val() );
				$('#enter').attr('campoValor','segundaLecturaUbicacionDefinitiva');
				$('#enter').attr('forzarEnter','si');
			});
			
			$(document).on('click','#borrarUbicacion',function(){
				
				$("#ubicacion").val('');
				
				$('#segundaLecturaUbicacion').val('');
				$('#segundaLecturaUbicacionDefinitiva').val('');
				
				$("#ubicacion").focus();	
					
			});		
			
			<?php } //fin pedir ubicacion ?>
			
			
	

	
	$('#botonLectura').on("click",function(e){
		
		e.preventDefault();
		
		if(validaCampos()) {
			
			$('#procesoEntradaPlay').val(1);
			enviaFormulario();
			
		}
	});
	
	
	
	
	
	

	
	
	$(document).on('click','.campoMultilinea',function(){
		
		var idCampo=$(this).attr('id');
		
		$('#tecladoMultilinea').show();
		$('#valorTecladoMultilinea').val( $(this).val() );
		$('#enterTecladoMultilinea').attr('campoValor', idCampo );
		$('#enterTecladoMultilinea').attr('forzarEnter','no');
		
	});
	
	$(document).on('click','.fechaCaducidad',function(){
	
		var identificador=$(this).attr('id');
	
		$('#calendario').show();
		$('#valorCalendario').val( $(this).val() );
		deconstruyeFecha();
		$('#enterCalendario').attr('campoValor', identificador );
		$('#enterCalendario').attr('forzarEnter','no');
		
	});
	
	

	
	//Construcción inicial
	inicializaSecuencia();
	focoSiguiente('contenedor');
	

	
});

function enviaFormulario() {

	$('#popupCargando').show();
	$('#formulario').submit();
	
}



</script>


<?php



include($rutaPhp.$rutaHtml.'/maqueta/menu-entrada-mercancia-gs1.php');

if(!$_SESSION['entradaPaletActual'] && $requierePaletizar && !$contenedor) $foco='contenedor';
else if($_SESSION['entrada']['VisibCodBarras']=='S') $foco='lecturaGS1';
else $focoSiguiente='contenedor';

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
